unit Unity_Credits;
{
Unit: Unity_Credits
By:   Stucuk

All Credits should be added into this unit
}

// Note: "nicked" from Unity... if u can nick ur own work
//       credits edited for this project

interface

//Uses Unity_Global;

type
TCredit = Record
Name : String;
Item : Array Of String;
Count : Integer;
end;

TCredits = Record
Credit : Array Of TCredit;
Count : Integer;
end;

Procedure AddCredit(Name : String; Var CID : Integer);
Procedure AddCreditItem(Item : String; ID : Integer);

Function GetEngineCreditList : String;

var
Credits : TCredits;

implementation

Procedure AddCredit(Name : String; Var CID : Integer);
begin
CID := Credits.Count;
Inc(Credits.Count);
SetLength(Credits.Credit,Credits.Count);
Credits.Credit[Credits.Count-1].Name := Name;
end;

Procedure AddCreditItem(Item : String; ID : Integer);
begin
Inc(Credits.Credit[ID].Count);
SetLength(Credits.Credit[ID].Item,Credits.Credit[ID].Count);
Credits.Credit[ID].Item[Credits.Credit[ID].Count-1] := Item;
end;

Function GetEngineCreditList : String;
var
x,y : integer;
Credit : String;
begin

//Credits := 'Engine Credits';
for x := 0 to Credits.Count-1 do
begin
If Credit = '' then
Credit := Credits.Credit[x].Name
else
Credit := Credit + #13#13 + Credits.Credit[x].Name;
for y := 0 to Credits.Credit[x].Count-1 do
Credit := Credit + #13#9 + Credits.Credit[x].Item[y];
end;

Result := Credit;
end;

Procedure AddCredits;
Var
CID : Integer;
begin

AddCredit('Stuart "Stucuk" Carey',CID);
AddCreditItem('Main Engine Coding',CID);
AddCreditItem('MDC Unit',CID);

//AddCredit('Jan Horn',CID);
//AddCreditItem('BSP Base Code',CID);
//AddCreditItem('Texture Unit',CID);

AddCredit('Harry Paintner',CID);
//AddCreditItem('Advanced BSP Code',CID);
AddCreditItem('Texture Shaders',CID);
//AddCreditItem('Camera System',CID);

//AddCredit('Sascha Willems',CID);
//AddCreditItem('General Help',CID);
//AddCreditItem('Matrix Unit',CID);
//AddCreditItem('Newton Tutorials',CID);

//AddCredit('Ciaran McCrees',CID);
//AddCreditItem('Hash Library',CID);

//AddCredit('Mike Lischke',CID);
//AddCreditItem('Geometry',CID);

AddCredit('Martin Waldegger',CID);
AddCreditItem('DDS Support',CID);

end;

begin
AddCredits;
end.
