unit Unity_Types;

interface

uses OpenGL15,Math3d;

Type
TRGBA = array[0..3] of GLUbyte;

  TRBSPVertex = record
  Position      : TVector3f;             // (x, y, z) position.
  TextureCoord  : TVector2f;             // (u, v) texture coordinate
  LightmapCoord : array [0..3] of TVector2f;             // (u, v) lightmap coordinate
  Normal        : TVector3f;             // (x, y, z) normal vector
  Color         : array [0..3] of array [0..3] of Byte;    // RGBA color for the vertex
  end;

implementation

end.

