unit Unity_Types_Engine;

interface

Uses Windows, OpenGl,Math3d, Unity_Timer,Unity_Shader_System,UnitMDC;

type
TEngineMain = Record
GAME_FOLDER,MOD_FOLDER, Engine_MODFOLDER, BaseDir : String;

EngineLoaded      : Boolean;
end;

TModels = Record
MDC           : Array of TMDCFile;
MDC_Count     : Integer;
end;

TEngine = Record
Main          : TEngineMain;

Models        : TModels;

//Components
Timer              : THiResTimer;
ShaderManagerModel : TShaderManager;
end;

implementation

end.
