unit Unity_Filesystem;

{$I Global_Conditionals.INC}

interface

Function ENGINE_FILES_DIR : String;
Function DoesFileExist(Filename : String) : String;

implementation

uses StrUtils,SysUtils,Unity_Global,IniFiles;

Function ENGINE_FILES_DIR : String;
begin

Result := Engine.Main.MOD_FOLDER;

{$IfDef UNITY_APP}
if Engine.Main.MOD_FOLDER = '' then
Result := Engine.Main.Engine_MODFOLDER;
{$EndIf}

Result := Result +'\';

end;

Function DoesFileExist(Filename : String) : String; // If Exists filename is given as result
begin

if fileexists(Engine.Main.GAME_FOLDER+'\'+Engine.Main.MOD_FOLDER+'\'+Filename) then
begin
Result := Engine.Main.GAME_FOLDER+'\'+Engine.Main.MOD_FOLDER+'\'+Filename;
Exit;
end;


if fileexists(Filename) then
begin
Result := Filename;
Exit;
end;


Result := '';

end;


end.
