unit Unity_MapSystem;

interface

Uses Unity_Types,Math3d;

Var
    inputBuffer       : Array of TRBSPVertex;
    fogBuffer : array of single;
    texCoordBuffer :  array[0..16383] of TVector2f;
    colorBuffer : array[0..16383] of TRGBA;

procedure SetDefaults;
procedure SetDefaults2;

implementation

Uses OpenGL15;

procedure SetDefaults;
begin
  //glDepthFunc(GL_LEQUAL);  //
  //glEnable(GL_DEPTH_TEST); //
  glDisable(GL_ALPHA_TEST);
  glDepthMask(true);
  glDisable(GL_BLEND);
  {glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
  glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);}

  glDisable(GL_COLOR);  //
 { if CG_MultiTexture then} begin //
    glActiveTexture(GL_TEXTURE1);
    glDisableClientState(GL_COLOR_ARRAY);
    glActiveTexture(GL_TEXTURE0);
  end;
  glDisableClientState(GL_COLOR_ARRAY);   //
  glColor3ub(255,255,255);  //
  glCullFace(GL_FRONT);
  //glEnable(GL_CULL_FACE);  //
end;

procedure SetDefaults2;
begin
  SetDefaults;
  glDepthFunc(GL_LEQUAL);
  glEnable(GL_DEPTH_TEST);
  glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
  glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
  glEnable(GL_CULL_FACE);
end;

end.
